%define version 0.6.1

Summary: 	Infrared File Transfer
Name: 		ircp-tray
Version: 	%{version}
Release: 	2.fc5
#poch: 		0
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://www.gnome-cn.org/resources/ircp-tray/
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	openobex-devel >= 1.0

Requires:	openobex >= 1.0

# -----------------------------------------------------------------------------

%description
Ircp-Tray is a wireless file transfer program for Linux.
It stays inside your system tray, listening for incoming OBEX file transfer
 request, as well as sending file out to remote devices, via IrDA

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
autoreconf -sfi

# -----------------------------------------------------------------------------

%build
%configure
make

# -----------------------------------------------------------------------------

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall
%{__rm} -rf $RPM_BUILD_ROOT/%{_localstatedir}/scrollkeeper
%{__rm} -rf $RPM_BUILD_ROOT/%{_datadir}/gnome
%{__rm} -rf $RPM_BUILD_ROOT/%{_datadir}/omf

%{__ln_s} %{_datadir}/pixmaps/ircp-tray/ircp-tray.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# -----------------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING

%{_bindir}/ircp-tray
%{_datadir}/applications/ircp-tray.desktop
%{_datadir}/pixmaps/ircp-tray*
# -----------------------------------------------------------------------------

%changelog
* Tue Jan 31 2006 Xin Zhen <xinzhen[at]pub.minidns.net> - 0.6.1
- 0.6.1


* Sat May 07 2005 Xin Zhen <xinzhen[at]pub.minidns.net> - 0.4.0
- 0.4.0
