#include <gtk/gtk.h>

struct SaveFileDialog {
	GtkWidget* dialogbox;
	GtkWidget* currentname;
	GtkWidget* filepath;
	unsigned respcode;
};

struct SaveFileDialog* savefile_dialog_new(char* titlebar, char* devicename);

void savefile_dialog_destroy(struct SaveFileDialog*);

int savefile_dialog_run(struct SaveFileDialog*);

void savefile_dialog_set_current_name(struct SaveFileDialog*, char*utf8);
gboolean savefile_dialog_set_current_folder(struct SaveFileDialog*, char*filename);
char* savefile_dialog_get_filename(struct SaveFileDialog*);
